# PCApplySymmetricLeft

Applies the left part of a symmetric preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCApplySymmetricLeft(PC pc,Vec x,Vec y)

Collective on PC and Vec

### Input Parameters

| pc | - the preconditioner context
| x | - input vector

### Output Parameter

y -output vector

### Notes

Currently, this routine is implemented only for PCICC and PCJACOBI preconditioners.

### Keywords

PC, apply, symmetric, left

### See Also

PCApply(), PCApplySymmetricRight()

Level:developer
Location: src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages